Skip to main content
Update a Tenant

Path Parameters

id
string
required

ID of the Tenant.

Body

*/*

List of fields to update for the tenant

base_url
string

The SDP backend server's base URL.

sdp_ui_base_url
string

The SDP UI/dashboard Base URL.

status
enum<string>
Available options:
TENANT_CREATED,
TENANT_PROVISIONED,
TENANT_ACTIVATED,
TENANT_DEACTIVATED

Response

Updated Tenant details

id
string
required
Example:

"1736bed3-7b92-4760-8ff2-51fb08ee079f"

name
string
required

The tenant name. It should match the pattern ^[a-z-]+$.

Example:

"bluecorp"

base_url
string
required

The SDP backend server's base URL.

Example:

"https://bluecorp-backend.sdp.org"

sdp_ui_base_url
string
required

The SDP UI/dashboard Base URL.

Example:

"https://bluecorp.sdp.org"

status
enum<string>
required
Available options:
TENANT_CREATED,
TENANT_PROVISIONED,
TENANT_ACTIVATED,
TENANT_DEACTIVATED
distribution_account_address
string
required

The Stellar account address used for distributing funds.

Example:

"GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL"

distribution_account_type
enum<string>
required

The Stellar account type used for distributing funds.

Available options:
DISTRIBUTION_ACCOUNT.STELLAR.ENV,
DISTRIBUTION_ACCOUNT.STELLAR.DB_VAULT,
DISTRIBUTION_ACCOUNT.CIRCLE.DB_VAULT
distribution_account_status
enum<string>
required

The status of the distribution account used for distributing funds.

Available options:
ACTIVE,
PENDING_USER_ACTIVATION
is_default
boolean
default:false
required

Boolean flag that shows whether the tenant is the default or not.

created_at
string<date-time>
required
Example:

"2024-03-27T17:21:51Z"

updated_at
string<date-time>
required
Example:

"2024-03-27T17:21:51Z"

deleted_at
string<date-time>

The timestamp when the tenant was (soft) deleted.

Example:

"2024-03-27T17:21:51Z"